org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb

## Class GetCountersRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRServiceProtos.GetCountersRequestProto>
  - - org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb.GetCountersRequestPBImpl

- All Implemented Interfaces:
    GetCountersRequest

      public class GetCountersRequestPBImpl
      extends org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRServiceProtos.GetCountersRequestProto>
      implements GetCountersRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetCountersRequestPBImpl()`
    `GetCountersRequestPBImpl(MRServiceProtos.GetCountersRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JobId` | `getJobId()`
    `MRServiceProtos.GetCountersRequestProto` | `getProto()`
    `void` | `setJobId(JobId jobId)`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase

      `convertFromProtoFormat, convertToProtoFormat, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetCountersRequestPBImpl

          public GetCountersRequestPBImpl()

    - #### GetCountersRequestPBImpl

          public GetCountersRequestPBImpl(MRServiceProtos.GetCountersRequestProto proto)

  - ### Method Detail

    - #### getProto

          public MRServiceProtos.GetCountersRequestProto getProto()

      Specified by:
        `getProto` in class `org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRServiceProtos.GetCountersRequestProto>`

    - #### getJobId

          public JobId getJobId()

      Specified by:
        `getJobId` in interface `GetCountersRequest`

    - #### setJobId

          public void setJobId(JobId jobId)

      Specified by:
        `setJobId` in interface `GetCountersRequest`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.